## cfengine3 3.10.2

=== tests/acceptance/25_cf-execd/Makefile ===
# Makefile.in generated by automake 1.14.1 from Makefile.am.
# tests/acceptance/25_cf-execd/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



#
#  Copyright 2017 Northern.tech AS
#
#  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
#
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the
#  Free Software Foundation; version 3.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
#
# To the extent this program is licensed as part of the Enterprise
# versions of CFEngine, the applicable Commercial Open Source License
# (COSL) may apply to this file if you as a licensee so wish it. See
# included file COSL.txt.
#


am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/cfengine
pkgincludedir = $(includedir)/cfengine
pkglibdir = $(libdir)/cfengine
pkglibexecdir = $(libexecdir)/cfengine
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
noinst_PROGRAMS = cf-execd-test$(EXEEXT)
subdir = tests/acceptance/25_cf-execd
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/adl_recursive_eval.m4 \
	$(top_srcdir)/m4/cf3_check_proper_func.m4 \
	$(top_srcdir)/m4/cf3_path_root_prog.m4 \
	$(top_srcdir)/m4/cf3_with_library.m4 \
	$(top_srcdir)/m4/fchmodat.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/libutils/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__cf_execd_test_SOURCES_DIST = cf-execd-rpl-functions.c
am_cf_execd_test_OBJECTS = cf-execd-rpl-functions.$(OBJEXT)
cf_execd_test_OBJECTS = $(am_cf_execd_test_OBJECTS)
cf_execd_test_DEPENDENCIES =  \
	../../../cf-execd/libcf-execd-test.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/libutils
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(cf_execd_test_SOURCES)
DIST_SOURCES = $(am__cf_execd_test_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing aclocal-1.14
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing automake-1.14
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CFLAGS =             -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99
CORE_LDFLAGS =             -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
CORE_LIBS =  -ltokyocabinet    -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
CPP = gcc -E
CPPFLAGS =  -std=gnu99
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GETCONF = /usr/bin/getconf
GETLOADAVG_LIBS = 
GREP = /bin/grep
HOSTNAME = /bin/hostname
INIT_D_PATH = 
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KMEM_GROUP = 
LCOV = 
LCOV_GENHTML = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBACL_CFLAGS = 
LIBACL_CPPFLAGS = 
LIBACL_LDFLAGS = 
LIBACL_LIBS =  
LIBACL_PATH = default path
LIBCURL_CFLAGS = 
LIBCURL_CPPFLAGS = 
LIBCURL_LDFLAGS = 
LIBCURL_LIBS =  
LIBCURL_PATH = default path
LIBOBJS =  ${LIBOBJDIR}strlcat$U.o ${LIBOBJDIR}strlcpy$U.o ${LIBOBJDIR}memdup$U.o ${LIBOBJDIR}closefrom$U.o ${LIBOBJDIR}rpl_ctime$U.o ${LIBOBJDIR}strrstr$U.o
LIBS = -ldl -lrt -lm  
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBVIRT_CFLAGS = 
LIBVIRT_CPPFLAGS = 
LIBVIRT_LDFLAGS = 
LIBVIRT_LIBS =  
LIBVIRT_PATH = default path
LIBXML2_CFLAGS = 
LIBXML2_CPPFLAGS = -Icheck/include/libxml2
LIBXML2_LDFLAGS = 
LIBXML2_LIBS =  
LIBXML2_PATH = default path
LIBYAML_CFLAGS = 
LIBYAML_CPPFLAGS = 
LIBYAML_LDFLAGS = 
LIBYAML_LIBS =  
LIBYAML_PATH = default path
LIPO = 
LMDB_CFLAGS = 
LMDB_CPPFLAGS = 
LMDB_LDFLAGS = 
LMDB_LIBS = 
LMDB_PATH = 
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}strlcat$U.lo ${LIBOBJDIR}strlcpy$U.lo ${LIBOBJDIR}memdup$U.lo ${LIBOBJDIR}closefrom$U.lo ${LIBOBJDIR}rpl_ctime$U.lo ${LIBOBJDIR}strrstr$U.lo
MAINT = 
MAKEINFO = makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MYSQL_CFLAGS = 
MYSQL_CPPFLAGS = 
MYSQL_LDFLAGS = 
MYSQL_LIBS =  
MYSQL_PATH = default path
NEED_SETGID = false
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPENSSL_CFLAGS = 
OPENSSL_CPPFLAGS = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto  
OPENSSL_PATH = default path
OS_ENVIRONMENT_PATH = 
OTOOL = 
OTOOL64 = 
PACKAGE = cfengine
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cfengine
PACKAGE_STRING = cfengine 3.10.2
PACKAGE_TARNAME = cfengine
PACKAGE_URL = 
PACKAGE_VERSION = 3.10.2
PAM_CFLAGS = 
PAM_CPPFLAGS = 
PAM_LDFLAGS =  -R/lib
PAM_LIBS = -lpam -ldl -lrt -lm  
PAM_PATH = default path
PATH_SEPARATOR = :
PCRE_CFLAGS = 
PCRE_CPPFLAGS = 
PCRE_LDFLAGS = 
PCRE_LIBS = -lpcre  
PCRE_PATH = default path
PERL = /usr/bin/perl
POSTGRESQL_CFLAGS = 
POSTGRESQL_CPPFLAGS = 
POSTGRESQL_LDFLAGS = 
POSTGRESQL_LIBS =  
POSTGRESQL_PATH = default path
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
QDBM_CFLAGS = 
QDBM_CPPFLAGS = 
QDBM_LDFLAGS = 
QDBM_LIBS = 
QDBM_PATH = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSTEMD_SERVICE_PATH = 
TOKYOCABINET_CFLAGS = 
TOKYOCABINET_CPPFLAGS = 
TOKYOCABINET_LDFLAGS = 
TOKYOCABINET_LIBS = -ltokyocabinet  
TOKYOCABINET_PATH = /usr
VERSION = 3.10.2
YACC = bison -y
YFLAGS = 
abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core/tests/acceptance/25_cf-execd
abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core/tests/acceptance/25_cf-execd
abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core
abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar --hard-dereference -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin

=== debian/changelog ===
cfengine3 (3.10.2-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:50 +0000

cfengine3 (3.10.2-4) unstable; urgency=medium

  * Explicitely depend on e2fsprogs for paths.cf (Closes: 887221)

 -- Antonio Radici <antonio@debian.org>  Sun, 14 Jan 2018 21:15:50 +0000

cfengine3 (3.10.2-3) unstable; urgency=medium

  * Switch debian/compat to 10 and remove dependency from dh-autoreconf (now
    dependency of dh)
  * Removing quilt from the invocation (it's already used), exporting V=1 to
    see build flags.
  * Address FTCBFS (Closes: 883480)
    + Let dh_auto_configure pass --host to ./configure.
    + Use xml2-config rather than passing -Iyes/include/libxml2.
      - fixed with debian/patches/883480-fix-crossbuild-libxml2.patch.
    + patch provided by Helmut Grohne <helmut@subdivi.de>; thanks!
  * Removed the dbg package in favour of the autogenerated dbgsym.
  * Update Standards-Version to 4.1.1, replaced priority extra with optional.

 -- Antonio Radici <antonio@debian.org>  Tue, 05 Dec 2017 06:35:45 +0000

cfengine3 (3.10.2-2) unstable; urgency=medium

  * debian/control: removed any dependency fron libssl-* which is not
    libssl-dev (Closes: 863568)

 -- Antonio Radici <antonio@debian.org>  Tue, 21 Nov 2017 22:05:33 +0000

cfengine3 (3.10.2-1) unstable; urgency=medium

  * Uploading the official LTS for cfengine3
    + it builds with openssl 1.1 (Closes: 863568)
  * debian/patches:
    + Removed the following patches, already upstream:
      * 0003-remove_man_errors.patch
      * 0009_disable_spelling_errors.patch
      * 0011_build_with_openssl_1.1.patch
    + refreshed the remaining patches.
    + created 0001-CFE-2629-Fix-source-to-build-with-before-and-after-1.patch
      from upstream commit e95dcc083c022, to build wiht openssl 1.1
  * added debian/source/include-binaries with some unrepresentable content
    from the masterfiles.
  * debian/compat: set it to 9, compatibility <= 7 is deprecated.

 -- Antonio Radici <antonio@debian.org>  Mon, 20 Nov 2017 23:01:12 +0000

=== debian/control ===
Source: cfengine3
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonio Radici <antonio@debian.org>
Build-Depends: debhelper (>= 10),
 libssl-dev, 
 flex,
 bison,
 libpcre3-dev,
 libvirt-dev,
 libacl1-dev,
 liblmdb-dev,
 default-libmysqlclient-dev,
 libxml2-dev,
 libpam0g-dev
Standards-Version: 4.1.1
Homepage: http://www.cfengine.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cfengine3.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cfengine3.git

Package: cfengine3
Architecture: any
Depends: lsb-base (>= 3.0-6), e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
Recommends: python
Description: tool for configuring and maintaining network machines
 Cfengine is a suite of programs for integrated autonomic management
 of either individual or networked computers.
 .
 Cfengine 3 is both a more powerful and much simplified version of cfengine,
 which has been designed to inter operate with cfengine 2 rather than be
 backwards compatible with it.
 .
 With cfengine 3 you can install, configure and maintain computers using
 powerful hands-free tools.

Package: libpromises3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libpromises library for cfengine3 binaries
 The main purpose of cfengine is to allow the system administrator
 to create a single central file which will define how every host
 on a network should be configured.
 .
 This package contains the libpromises3 library.

=== debian/watch ===
version=4
https://cfengine.com/product/community/ .*/cfengine-(\d.*).tar.gz
opts="component=masterfiles" https://cfengine.com/product/community/ .*/cfengine-masterfiles-(\d.*).tar.gz

## cfengine3 3.12.1

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 
 #
-#  Copyright 2017 Northern.tech AS
+#  Copyright 2018 Northern.tech AS
 #
 #  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
 #
@@ -113,9 +113,9 @@
 	$(top_srcdir)/m4/cf3_check_proper_func.m4 \
 	$(top_srcdir)/m4/cf3_path_root_prog.m4 \
 	$(top_srcdir)/m4/cf3_with_library.m4 \
-	$(top_srcdir)/m4/fchmodat.m4 $(top_srcdir)/m4/libtool.m4 \
-	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
-	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
+	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
+	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
+	$(top_srcdir)/m4/lt~obsolete.m4 \
 	$(top_srcdir)/m4/old-autoconf.m4 $(top_srcdir)/m4/snprintf.m4 \
 	$(top_srcdir)/m4/strndup.m4 $(top_srcdir)/m4/tar.m4 \
 	$(top_srcdir)/m4/cf3_gcc_flags.m4 \
@@ -197,13 +197,13 @@
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing aclocal-1.14
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing aclocal-1.14
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.10.x/core/missing automake-1.14
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing automake-1.14
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -305,10 +305,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.10.2
+PACKAGE_STRING = cfengine 3.12.1
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.10.2
+PACKAGE_VERSION = 3.12.1
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -345,13 +345,13 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = -ltokyocabinet  
 TOKYOCABINET_PATH = /usr
-VERSION = 3.10.2
+VERSION = 3.12.1
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.10.x/core
+abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -362,3 +362,5 @@
 am__tar = tar --format=ustar --hard-dereference -chf - "$$tardir"
 am__untar = tar -xf -
 bindir = ${exec_prefix}/bin
+build = x86_64-unknown-linux-gnu
+build_alias =

=== debian/changelog ===
cfengine3 (3.12.1-2) unstable; urgency=medium

  * debian/patches:
    + disabled string_lib_test otherwise the package does not build on s390x
      and arm64 as test_string_to_long_errors is failing.

 -- Antonio Radici <antonio@debian.org>  Mon, 07 Jan 2019 18:08:09 +0900

cfengine3 (3.12.1-1) unstable; urgency=medium

  * Updated to newest LTS version (Closes: #918101)
    + debian/patches:
      - patches refreshed, skipped mon_processes_test as it fails in chroot.
      - 0001-CFE-2629-Fix-source-to-build-with-before-and-after-1.patch
        deleted, already upstream.
    + debian/libpromises3.install:
      - changed directory to find libpromises properly after build.

 -- Antonio Radici <antonio@debian.org>  Sat, 05 Jan 2019 20:33:45 +0900

cfengine3 (3.10.2-4.1) unstable; urgency=medium

  [ Antonio Radici ]
  * debian/control:
    + migrated VCS from Alioth to Salsa.

  [ Christoph Martin ]
  * fix watchfile, thanks to Moritz (Closes: #873698)
  * refresh patches
  * fix FTBFS with glibc 2.28 (closes: #916027)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 20 Dec 2018 16:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cfengine3
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Radici <antonio@debian.org>
+Maintainer: Antonio Radici <antonio@debian.org>
 Build-Depends: debhelper (>= 10),
  libssl-dev, 
  flex,
@@ -13,11 +12,11 @@
  liblmdb-dev,
  default-libmysqlclient-dev,
  libxml2-dev,
- libpam0g-dev
+ libpam0g-dev,
 Standards-Version: 4.1.1
 Homepage: http://www.cfengine.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cfengine3.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cfengine3.git
+Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
+Vcs-Browser: https://salsa.debian.org/cfengine-team/cfengine3
 
 Package: cfengine3
 Architecture: any

=== debian/watch ===
version=4
# Since the official upstream download page at https://cfengine.com/product/community/
# is dynamically generated from many layers of JSON files, we instead look at the
# GitHub releases page to get a list of versions and then construct the URLs for
# release tarballs from them.
# Therefore, the following looks pretty ugly. If someone finds a sane way to improve it,
# please do so!
opts=downloadurlmangle=s%https://github.com/cfengine/core/archive/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-$1$3% \
	https://github.com/cfengine/core/releases .*/([\.\d]+)@ARCHIVE_EXT@
opts=component=masterfiles,downloadurlmangle=s%https://github.com/cfengine/masterfiles/archive/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-masterfiles-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-masterfiles-$1$3% \
	https://github.com/cfengine/masterfiles/releases .*/([\.\d]+)@ARCHIVE_EXT@

## cfengine3 3.15.2

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.14.1 from Makefile.am.
+# Makefile.in generated by automake 1.15 from Makefile.am.
 # tests/acceptance/25_cf-execd/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2013 Free Software Foundation, Inc.
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -15,7 +15,7 @@
 
 
 #
-#  Copyright 2018 Northern.tech AS
+#  Copyright 2019 Northern.tech AS
 #
 #  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
 #
@@ -39,7 +39,17 @@
 #
 
 
-am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
 am__make_running_with_option = \
   case $${target_option-} in \
       ?) ;; \
@@ -100,13 +110,11 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = x86_64-unknown-linux-gnu
-host_triplet = x86_64-unknown-linux-gnu
-target_triplet = x86_64-unknown-linux-gnu
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
+target_triplet = x86_64-pc-linux-gnu
 noinst_PROGRAMS = cf-execd-test$(EXEEXT)
 subdir = tests/acceptance/25_cf-execd
-DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
-	$(top_srcdir)/depcomp
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
 	$(top_srcdir)/m4/adl_recursive_eval.m4 \
@@ -122,8 +130,9 @@
 	$(top_srcdir)/m4/cf3_platforms.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
 mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/libutils/config.h
+CONFIG_HEADER = $(top_builddir)/config.h
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 PROGRAMS = $(noinst_PROGRAMS)
@@ -148,7 +157,7 @@
 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
 am__v_at_0 = @
 am__v_at_1 = 
-DEFAULT_INCLUDES = -I. -I$(top_builddir)/libutils
+DEFAULT_INCLUDES = -I. -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 am__mv = mv -f
@@ -196,22 +205,23 @@
   done | $(am__uniquify_input)`
 ETAGS = etags
 CTAGS = ctags
+am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing aclocal-1.14
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.12.x/core/missing automake-1.14
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing automake-1.15
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
 CORE_CFLAGS =             -pthread -g -O2 -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG 
 CORE_CPPFLAGS =            -Icheck/include/libxml2  -std=gnu99
-CORE_LDFLAGS =             -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
-CORE_LIBS =  -ltokyocabinet    -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
+CORE_LDFLAGS =  -R/lib            -L/var/cfengine/lib -Wl,-R/var/cfengine/lib
+CORE_LIBS = -llmdb     -lpcre   -lssl -lcrypto                -ldl -lrt -lm  
 CPP = gcc -E
 CPPFLAGS =  -std=gnu99
 CYGPATH_W = echo
@@ -275,13 +285,14 @@
 LIPO = 
 LMDB_CFLAGS = 
 LMDB_CPPFLAGS = 
-LMDB_LDFLAGS = 
-LMDB_LIBS = 
-LMDB_PATH = 
+LMDB_LDFLAGS =  -R/lib
+LMDB_LIBS = -llmdb  
+LMDB_PATH = default path
 LN_S = ln -s
 LTLIBOBJS =  ${LIBOBJDIR}strlcat$U.lo ${LIBOBJDIR}strlcpy$U.lo ${LIBOBJDIR}memdup$U.lo ${LIBOBJDIR}closefrom$U.lo ${LIBOBJDIR}rpl_ctime$U.lo ${LIBOBJDIR}strrstr$U.lo
+LT_SYS_LIBRARY_PATH = 
 MAINT = 
-MAKEINFO = makeinfo
+MAKEINFO = 
 MANIFEST_TOOL = :
 MKDIR_P = /bin/mkdir -p
 MYSQL_CFLAGS = 
@@ -299,16 +310,16 @@
 OPENSSL_LDFLAGS = 
 OPENSSL_LIBS = -lssl -lcrypto  
 OPENSSL_PATH = default path
-OS_ENVIRONMENT_PATH = 
+OS_ENVIRONMENT_PATH = /etc/default
 OTOOL = 
 OTOOL64 = 
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.12.1
+PACKAGE_STRING = cfengine 3.15.2
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.12.1
+PACKAGE_VERSION = 3.15.2
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -339,28 +350,20 @@
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
-SYSTEMD_SERVICE_PATH = 
+SYSTEMD_SERVICE_PATH = /usr/lib/systemd/system
 TOKYOCABINET_CFLAGS = 
 TOKYOCABINET_CPPFLAGS = 
 TOKYOCABINET_LDFLAGS = 
-TOKYOCABINET_LIBS = -ltokyocabinet  
-TOKYOCABINET_PATH = /usr
-VERSION = 3.12.1
+TOKYOCABINET_LIBS = 
+TOKYOCABINET_PATH = 
+VERSION = 3.15.2
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.12.x/core
+abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 acx_pthread_config = 
-am__include = include
-am__leading_dot = .
-am__quote = 
-am__tar = tar --format=ustar --hard-dereference -chf - "$$tardir"
-am__untar = tar -xf -
-bindir = ${exec_prefix}/bin
-build = x86_64-unknown-linux-gnu
-build_alias =

=== debian/changelog ===
cfengine3 (3.15.2-2) unstable; urgency=medium

  * debian/patches/0006-skip_failing_tests.patch:
    + disable buffer_test and string_lib_test otherwise cfengine3 does not
      build on arm64 and s390x.

 -- Antonio Radici <antonio@debian.org>  Sat, 20 Jun 2020 20:15:37 +0200

cfengine3 (3.15.2-1) unstable; urgency=medium

  * New upstream release (Closes: 958436)
  * debian/control:
    + fix Homepage URL (by Cristoph Martin)
  * debian/patches:
    + all refreshed
    + removed 0011_fix_build_with_glibc_2.28.patch, it builds fine.
    + added debian/patches/0011-fix_interpreters.patch to fix some
      interpreters' paths.
  * debian/cfengine3.lintian-overrides:
    + added 3 overrides for wrong-path-for-interpreter for binaries that are
      not really binaries but part of masterfiles (zypper, apt_get and yum).

 -- Antonio Radici <antonio@debian.org>  Sat, 20 Jun 2020 10:00:57 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libxml2-dev,
  libpam0g-dev,
 Standards-Version: 4.1.1
-Homepage: http://www.cfengine.org/
+Homepage: https://cfengine.com/product/community/
 Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
 Vcs-Browser: https://salsa.debian.org/cfengine-team/cfengine3

=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:ts=4:sw=4:

include /usr/share/dpkg/buildflags.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export EXPLICIT_VERSION = $(shell dpkg-parsechangelog -S version | cut  -f 1 -d -)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Exporting V=1 so that we can see build flags in the output.
export V=1

%:
	dh $@

# TODO(antonio): disable sql in experimental as postgresql is not ready for
# openssl1.1 transition, re-enable once it becomes ready.
override_dh_auto_configure:
	dh_auto_configure -- \
		    --prefix=/usr \
			--with-sql=yes \
			--without-sql \
			--with-libvirt \
			--with-lmdb \
			--with-libxml2 \
			--with-masterdir=/var/lib/cfengine3/masterfiles \
			--with-workdir=/var/lib/cfengine3 \
			--with-logdir=/var/log/cfengine3 \
			--with-piddir=/var/run/cfengine3 \
			--libdir=/usr/lib/cfengine3 \
			--docdir=\$${prefix}/share/doc/cfengine3 \
			--datadir=\$${prefix}/share/cfengine3 \
			--mandir=\$${prefix}/share/man
	
	dh_auto_configure --sourcedirectory=masterfiles -- \
	        --prefix=/usr/share/cfengine3 \
			--with-core=$(CURDIR)

override_dh_clean:
	dh_clean --exclude=#008.cf#

override_dh_installchangelogs:
	dh_installchangelogs --exclude=ChangeLog

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Dmasterfiles

override_dh_compress:
	dh_compress -X.cf

override_dh_strip:
	dh_strip --dbgsym-migration='cfengine3-dbg (<< 3.10.2-3~)'

override_dh_installman:
	## Man pages are created with an undocumented flag
	/bin/mkdir -p $(CURDIR)/debian/cfengine3/usr/share/man/man8/
	for p in cf-agent cf-key cf-promises cf-runagent cf-execd cf-serverd cf-monitord; \
		do $(CURDIR)/$$p/$$p -M > $(CURDIR)/debian/cfengine3/usr/share/man/man8/$$p.8 ;\
        done
	dh_installman

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dmasterfiles

override_dh_install:
	dh_install --exclude=examples --exclude=ChangeLog

## cfengine3 3.15.6

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -207,13 +207,13 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-packages-3.15.x/core/missing automake-1.15
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing automake-1.15
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -316,10 +316,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.15.2
+PACKAGE_STRING = cfengine 3.15.6
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.15.2
+PACKAGE_VERSION = 3.15.6
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -356,14 +356,17 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.15.2
+VERSION = 3.15.6
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-packages-3.15.x/core
+abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
 acx_pthread_config = 
+am__include = include
+am__leading_dot = .
+am__quote =

=== debian/changelog ===
cfengine3 (3.15.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 15 Nov 2022 10:01:34 +0100

cfengine3 (3.15.6-1) unstable; urgency=medium

  * New upstream version 3.15.6
  * update watch file urlmangle

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 22 Sep 2022 16:41:39 +0200

cfengine3 (3.15.2-4) unstable; urgency=medium

  * include myself as uploader
  * fix watch file to look into github tags instead of releases (closes:
    1019736)
  * create plugins directory on install (closes: 953430)
  * fix upstream source URL (closes: 953133)
  * fix version and release in NEWS file

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 14 Sep 2022 17:49:58 +0200

cfengine3 (3.15.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Build-Depend on pkg-config.
    + cfengine3: Recommend python3 instead of python (Closes: #998014).
  * debian/patches:
    + Drop 883480-fix-crossbuild-libxml2.patch (no longer needed).
    + Use pkg-config to find libxml2 (Closes: #972893, #949086).
    + Remove /sbin from the CF3_PATH_ROOT_PROG macro PATH override to ensure
      system tools can be invoked on usr-merged and non-usr-merged systems
      (Closes: #992662).
    + Fix python3 and shell interpreter paths; use python3 syntax in upstream
      apt_get module (Closes: #945623).
    + Fix spelling error in openssl3.patch metadata.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 09 Sep 2022 17:13:10 +1000

cfengine3 (3.15.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Make cfengine3 depend on exact version of libpromises3
    (Closes: #852674)
  * debian/patches/openssl3.patch: Fix FTBFS with OpenSSL 3 (Closes: #995642)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 May 2022 18:25:35 +0200

cfengine3 (3.15.2-3) unstable; urgency=medium

  [ Antonio Radici ]
  * Releasing a new version to fix RC bug #963341
    + Thanks to Gian Piero Carrubba <gpiero@rm-rf.it> for all the changes in
      this new version!

  [ Gian Piero Carrubba ]
  * Enable FHS compliance in upstream configure (closes #873699, #963341)
    + deploy binaries in /usr/bin instead of /usr/sbin
  * debian/patches:
    + new:
      - 0012-CFE-3401-remove_unused_buffer.patch from upstream commit
        6c07f44f55, to let make check complete
      - 0013-rename_package_to_cfengine3.patch, to set the autoconf PACKAGE
        var to cfengine3
    + refreshed:
      - 0007-fix_kfreebsd_build.patch
  * Enable YAML support
  * Explicitly disable MariaDB/MySQL and PostreSQL connectors
    + they were already disabled anyway, and databases promise is currently
      broken upstream

 -- Antonio Radici <antonio@debian.org>  Mon, 14 Sep 2020 09:00:24 +0200

## cfengine3 3.15.7

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -207,13 +207,13 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing aclocal-1.15
+ACLOCAL = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoconf
-AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing autoheader
-AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@2/core/missing automake-1.15
+AUTOCONF = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoconf
+AUTOHEADER = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing autoheader
+AUTOMAKE = ${SHELL} /home/jenkins/workspace/bootstrap-pr@4/core/missing automake-1.15
 AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -316,10 +316,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.15.6
+PACKAGE_STRING = cfengine 3.15.7
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.15.6
+PACKAGE_VERSION = 3.15.7
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -356,13 +356,13 @@
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.15.6
+VERSION = 3.15.7
 YACC = bison -y
 YFLAGS = 
-abs_builddir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
-abs_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core/tests/acceptance/25_cf-execd
-abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@2/core
-abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@2/core
+abs_builddir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
+abs_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
+abs_top_builddir = /home/jenkins/workspace/bootstrap-pr@4/core
+abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN =

=== debian/changelog ===
cfengine3 (3.15.7-1) unstable; urgency=medium

  * update download filename debian/watch
  * New upstream version 3.15.7

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 01 Dec 2022 16:29:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: admin
 Priority: optional
 Maintainer: Antonio Radici <antonio@debian.org>
-Build-Depends: debhelper (>= 10),
- libssl-dev, 
+Uploaders: Christoph Martin <martin@uni-mainz.de>
+Build-Depends:
+ debhelper (>= 10),
+ bison,
  flex,
- bison,
- libpcre3-dev,
- libvirt-dev,
  libacl1-dev,
  liblmdb-dev,
- default-libmysqlclient-dev,
+ libpam0g-dev,
+ libpcre3-dev,
+ libssl-dev,
+ libvirt-dev,
  libxml2-dev,
- libpam0g-dev,
+ libyaml-dev,
+ pkg-config
 Standards-Version: 4.1.1
 Homepage: https://cfengine.com/product/community/
 Vcs-Git: https://salsa.debian.org/cfengine-team/cfengine3.git
@@ -20,8 +23,8 @@
 
 Package: cfengine3
 Architecture: any
-Depends: lsb-base (>= 3.0-6), e2fsprogs, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python
+Depends: lsb-base (>= 3.0-6), e2fsprogs, ${shlibs:Depends}, ${misc:Depends}, libpromises3 (= ${binary:Version})
+Recommends: python3
 Description: tool for configuring and maintaining network machines
  Cfengine is a suite of programs for integrated autonomic management
  of either individual or networked computers.

=== debian/watch ===
version=4
# Since the official upstream download page at https://cfengine.com/product/community/
# is dynamically generated from many layers of JSON files, we instead look at the
# GitHub releases page to get a list of versions and then construct the URLs for
# release tarballs from them.
# Therefore, the following looks pretty ugly. If someone finds a sane way to improve it,
# please do so!
opts=downloadurlmangle=s%https://github.com/cfengine/core/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-community-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-community-$1$3% \
	https://github.com/cfengine/core/tags .*/([\.\d]+)@ARCHIVE_EXT@
opts=component=masterfiles,downloadurlmangle=s%https://github.com/cfengine/masterfiles/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-masterfiles-$1%,\
		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-masterfiles-$1$3% \
	https://github.com/cfengine/masterfiles/tags .*/([\.\d]+)@ARCHIVE_EXT@

## cfengine3 3.18.2

=== tests/acceptance/25_cf-execd/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 
 #
-#  Copyright 2019 Northern.tech AS
+#  Copyright 2021 Northern.tech AS
 #
 #  This file is part of CFEngine 3 - written and maintained by Northern.tech AS.
 #
@@ -316,10 +316,10 @@
 PACKAGE = cfengine
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cfengine
-PACKAGE_STRING = cfengine 3.15.7
+PACKAGE_STRING = cfengine 3.18.2
 PACKAGE_TARNAME = cfengine
 PACKAGE_URL = 
-PACKAGE_VERSION = 3.15.7
+PACKAGE_VERSION = 3.18.2
 PAM_CFLAGS = 
 PAM_CPPFLAGS = 
 PAM_LDFLAGS =  -R/lib
@@ -351,12 +351,17 @@
 SHELL = /bin/bash
 STRIP = strip
 SYSTEMD_SERVICE_PATH = /usr/lib/systemd/system
+SYSTEMD_SOCKET_CFLAGS = 
+SYSTEMD_SOCKET_CPPFLAGS = 
+SYSTEMD_SOCKET_LDFLAGS = 
+SYSTEMD_SOCKET_LIBS =  
+SYSTEMD_SOCKET_PATH = default path
 TOKYOCABINET_CFLAGS = 
 TOKYOCABINET_CPPFLAGS = 
 TOKYOCABINET_LDFLAGS = 
 TOKYOCABINET_LIBS = 
 TOKYOCABINET_PATH = 
-VERSION = 3.15.7
+VERSION = 3.18.2
 YACC = bison -y
 YFLAGS = 
 abs_builddir = /home/jenkins/workspace/bootstrap-pr@4/core/tests/acceptance/25_cf-execd
@@ -365,8 +370,3 @@
 abs_top_srcdir = /home/jenkins/workspace/bootstrap-pr@4/core
 ac_ct_AR = ar
 ac_ct_CC = gcc
-ac_ct_DUMPBIN = 
-acx_pthread_config = 
-am__include = include
-am__leading_dot = .
-am__quote =

=== debian/changelog ===
cfengine3 (3.18.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 20 Dec 2022 12:59:49 +0100

cfengine3 (3.18.2-1) unstable; urgency=medium

  * New upstream version 3.18.2 (closes: 1019654)
  * use systemd units instead of init script (closes: 605044, 615960, 950432)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 09 Dec 2022 12:26:53 +0100

cfengine3 (3.15.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Backports rebuild

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 07 Dec 2022 09:47:19 +0100

=== debian/watch ===
--- 
+++ 
@@ -5,8 +5,8 @@
 # release tarballs from them.
 # Therefore, the following looks pretty ugly. If someone finds a sane way to improve it,
 # please do so!
-opts=downloadurlmangle=s%https://github.com/cfengine/core/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-community-$1%,\
-		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-community-$1$3% \
+opts=downloadurlmangle=s%https://github.com/cfengine/core/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-$1%,\
+		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-$1$3% \
 	https://github.com/cfengine/core/tags .*/([\.\d]+)@ARCHIVE_EXT@
 opts=component=masterfiles,downloadurlmangle=s%https://github.com/cfengine/masterfiles/archive/refs/tags/(@ANY_VERSION@@ARCHIVE_EXT@)%https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-masterfiles-$1%,\
 		filenamemangle=s%.*/(@ANY_VERSION@)(@ARCHIVE_EXT@)%cfengine-masterfiles-$1$3% \
